#sidebarAuthForm .content_wrapper {
    flex-direction: column;
    height: 100%;
    display: flex;
}

#sidebarAuthForm .custom_header {
    justify-content: flex-end;
    align-items: center;
    display: flex;
}

#sidebarAuthForm .custom_header .close_btn {
    padding: var(--offset-sm-l);
    color: var(--color-icon-secondary-active);
    transition: color var(--transition-faster) var(--cubic-ease-out);
}

#sidebarAuthForm .custom_header .close_btn:hover {
    color: var(--color-icon-secondary-highlight);
    cursor: pointer;
}

#sidebarAuthForm .scroll {
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
}

.sa_form_container {
    color: var(--color-text-primary);
}

.auth_form {
    display: flex;
    flex-direction: column;
}

.sa_tabs {
    height: max-content;
    display: block;
    position: relative;
}

.tabs_horizontal {
    display: block;
    height: 100%;
}

.tabs_nav {
    position: relative;
    overflow: hidden;
    width: 100%;
    text-align: center;
    -webkit-box-shadow: inset 0 -1px 0 var(--color-stroke-divider);
    box-shadow: inset 0 -1px 0 var(--color-stroke-divider);
}

.tabs_scrollbar {
    width: 100%;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: start;
    justify-content: flex-start;
    margin-bottom: calc(var(--offset-sm-xxl) * -1);
    padding-bottom: var(--offset-sm-xxl);
    overflow-x: auto;
    white-space: nowrap;
}

.tab_button {
    width: 100%;
}

.tab_button_item {
    display: inline-block;
    vertical-align: middle;
    white-space: nowrap;
}

.tab_button .tab-button_item,
.tab_button .tab_button_btn {
    width: 100%;
}

.tab_button_item {
    display: inline-block;
    vertical-align: middle;
    white-space: nowrap;
}

.tab_button_btn {
    font: var(--regular-m);
    position: relative;
    display: block;
    padding: 0 var(--offset-md-2xs);
    height: var(--height-md-2xl);
    outline: none;
    cursor: pointer;
    -webkit-transition: color var(--transition-fast) var(--cubic-ease-out);
    transition: color var(--transition-fast) var(--cubic-ease-out);
    color: var(--color-text-secondary);
}

.tab_button_selected {
    color: var(--color-text-primary);
}

.tab_button_selected {
    color: var(--color-text-primary);
}

.tab_button_btn:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    z-index: var(--zindex-50);
}

.tab_button_selected:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    border-bottom: var(--border-width-xs) solid var(--color-stroke-accent);
    z-index: var(--zindex-50);
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transition: -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    transition: -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    transition: transform var(--transition-fast) var(--cubic-ease-out);
    transition: transform var(--transition-fast) var(--cubic-ease-out), -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    color: var(--color-text-primary);
}

.tab_button_item {
    width: 100%;
}

.sa_wrapper {
    padding: var(--offset-md-l) var(--offset-md-2xl);
}

.sa_forms_wrapper {
    color: var(--color-text-primary);
}

.alert {
    --alert-bg-color: transparent;
    --aler-bg-color-opacity: var(--opacity-1);
    --alert-border-color: transparent;
    --alert-border-color-opacity: var(--opacity-2);
    --alert-font-color: var(--color-text-primary);
    --alert-icon-color: transparent;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    border-radius: var(--border-radius-l);
    color: var(--alert-font-color);
    background-color: rgba(var(--alert-bg-color), var(--aler-bg-color-opacity));
    border: var(--border-width-xs) solid rgba(var(--alert-bg-color), var(--alert-border-color-opacity));
}

.alert_sm {
    padding: var(--offset-sm-s);
    font: var(--regular-s);
}

.alert_success {
    --alert-bg-color: var(--color-green);
    --alert-border-color: var(--color-green);
    --alert-icon-color: var(--color-icon-positive);
}

.islamic_alert {
    --alert-font-color: var(--color-text-positive);
    margin-bottom: var(--offset-sm-l);
}

.alert .alert_icon {
    display: -ms-flexbox;
    display: flex;
    color: var(--alert-icon-color);
}

.alert_sm .alert_icon {
    margin-right: var(--offset-sm-s);
}

.islamic_alert_text {
    font: var(--bold-m);
}

.col {
    margin-bottom: var(--offset-sm-l);
}

.social_providers {
    display: flex;
}

.social_link {
    min-width: 0;
    margin-right: var(--offset-sm-s);
}

.social_link:hover {
    filter: brightness(1.2);
}

.button_size_m {
    height: var(--height-md-2xl);
}

.social_link .button_btn {
    padding: 0 var(--offset-sm-xxl);
}

.social_link.oauth_icon_facebook {
    --button-bg-color: #1877F2;
    --button-hover-bg-color: #80B4F8;
    --button-disabled-bg-color: #1877F2;
}

.social_link.oauth_icon_gp,
.social_link.oauth_icon_default {
    --button-bg-color: #F0F0F2;
    --button-hover-bg-color: #F7F7F8;
    --button-disabled-bg-color: #F0F0F2;
}

.social_link.oauth_icon_line {
    --button-bg-color: #06C755;
    --button-hover-bg-color: #76E0A1;
    --button-disabled-bg-color: #06C755;
}

.social_link {
    --button-text-color: var(--color-text-button-primary);
    --button-disabled-text-color: var(--color-text-button-inactive);
    --button-radius: var(--border-radius-m);
    --button-blur: blur(0);
    font: var(--bold-xl-compact);
    display: inline-block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    vertical-align: top;
    border-radius: var(--button-radius);
    cursor: pointer;
    -webkit-transition: background-color var(--transition-fastest) var(--cubic-ease-out);
    transition: background-color var(--transition-fastest) var(--cubic-ease-out);
    background-color: var(--button-bg-color);
    -webkit-backdrop-filter: var(--button-blur);
    backdrop-filter: var(--button-blur);
    color: var(--button-text-color);
}

.social_icon {
    display: block;
}

@media (min-width: 768px) {
    .tabs_scrollbar {
        -ms-flex-pack: center;
        justify-content: center;
    }
}

form {
    margin-bottom: 0;
}

.email_input {
    display: block;
    margin-bottom: var(--offset-sm-l);
}

.input {
    --input-bg-color: var(--color-background-secondary-surface);
    --input-border-radius: var(--border-radius-l);
    --input-font-size: var(--regular-l);
    width: var(--width-full);
    display: inline-block;
    position: relative;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    text-align: left;
}

.way_input_input_content {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    background-color: var(--input-bg-color);
    -webkit-box-shadow: inset 0 0 0 var(--offset-sm-3xs) var(--color-stroke-active);
    box-shadow: inset 0 0 0 var(--offset-sm-3xs) var(--color-stroke-active);
    border-radius: var(--input-border-radius);
    -webkit-transition: var(--transition-standart) var(--cubic-ease-out);
    transition: var(--transition-standart) var(--cubic-ease-out);
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    overflow: hidden;
}

.way_input_size_l .way_input_input_content {
    padding: var(--offset-sm-s) var(--offset-sm-m) var(--offset-sm-s) var(--offset-sm-l);
    height: var(--height-lg-s);
    font: var(--input-font-size);
}

.way_input_input_wrapper {
    position: relative;
    width: var(--width-full);
    display: -ms-flexbox;
    display: flex;
}

.text_text_input {
    position: relative;
    width: var(--width-full);
    z-index: var(--zindex-2);
}

.input input {
    height: inherit;
    width: var(--width-full);
    margin: 0;
    padding: var(--offset-sm-l) 0 0;
    border: none;
    background: none;
    color: var(--color-text-primary);
    caret-color: var(--color-text-accent);
    line-height: inherit;
    font-size: inherit;
    cursor: default;
    position: relative;
    z-index: var(--zindex-2);
}

.input.way-input_hide_input input {
    opacity: var(--opacity-0);
}

.way_input_placeholder {
    position: absolute;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    top: 0;
    left: 0;
    z-index: 1;
    width: var(--width-full);
    height: 100%;
}

.way_input_placeholder_title {
    width: inherit;
    font: var(--regular-m);
    color: var(--color-text-secondary);
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    line-height: normal;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-transition: color var(--transition-fast) var(--cubic-ease-out), font-size var(--transition-fast) var(--cubic-ease-out), -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    transition: color var(--transition-fast) var(--cubic-ease-out), font-size var(--transition-fast) var(--cubic-ease-out), -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    transition: color var(--transition-fast) var(--cubic-ease-out), transform var(--transition-fast) var(--cubic-ease-out), font-size var(--transition-fast) var(--cubic-ease-out);
    transition: color var(--transition-fast) var(--cubic-ease-out), transform var(--transition-fast) var(--cubic-ease-out), font-size var(--transition-fast) var(--cubic-ease-out), -webkit-transform var(--transition-fast) var(--cubic-ease-out);
}

.way_input_message {
    display: block;
    width: var(--width-full);
    padding: 0 var(--offset-sm-l);
    font: var(--bold-m);
    opacity: var(--opacity-0);
    visibility: hidden;
    color: transparent;
    -webkit-transition: opacity var(--transition-standart) var(--cubic-ease-out), padding var(--transition-standart) var(--cubic-ease-out);
    transition: opacity var(--transition-standart) var(--cubic-ease-out), padding var(--transition-standart) var(--cubic-ease-out);
}

.way_input_message:not(:empty) {
    padding: var(--offset-sm-2xs) var(--offset-sm-l);
}

.way_input_invalid .way_input_message {
    color: var(--color-text-negative);
}

.way_input_valid .way_input_message:not(:empty),
.way_input_invalid .way_input_message:not(:empty),
.way_input_warning .way_input_message:not(:empty),
.way_input_help .way_input_message:not(:empty) {
    opacity: var(--opacity-10);
    visibility: visible;
}

.password_password_input {
    position: relative;
    z-index: var(--zindex-2);
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    width: var(--width-full);
}

.way_input_has_focus .way_input_input_content {
    -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-accent);
    box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-accent);
}

.input:not([readonly]).way_input_has_focus .way_input_placeholder_title,
.input.way_input_has_value .way_input_placeholder_title {
    font: var(--regular-s);
    -webkit-transform: translateY(-75%);
    transform: translateY(-75%);
}

.way_input_invalid .way_input_input_content {
    -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-negative);
    box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-negative);
}

.way_input_valid .way_input_input_content {
    -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-positive);
    box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-positive);
}

.way_input_warning .way_input_input_content {
    -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-warning);
    box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-warning);
}

.way_input_status_icon {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex: none;
    flex: none;
    -webkit-transition: var(--transition-fast) var(--cubic-ease-out);
    transition: var(--transition-fast) var(--cubic-ease-out);
}

.way_input_status_icon {
    margin: 0 0 0 var(--offset-sm-s);
}

.way_input_invalid .way_input_status_icon {
    color: var(--color-icon-negative);
}

.way_input_valid .way_input_status_icon {
    color: var(--color-icon-positive);
}

.pass_input {
    display: block;
}

.password_password_input {
    position: relative;
    z-index: var(--zindex-2);
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    width: var(--width-full);
}

.password_password_input .password_icon_container {
    position: relative;
    z-index: 3;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex: none;
    flex: none;
    margin-left: var(--offset-sm-s);
    color: var(--color-icon-primary-active);
    cursor: pointer;
}

.password_strength {
    display: block;
    padding: 0 var(--offset-sm-l);
    margin: var(--offset-sm-2xs) 0 var(--offset-sm-l);
}

.level_wrapper {
    width: 100%;
    font: var(--regular-s);
    color: var(--color-text-negative);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    transition: line-height var(--transition-standart) var(--cubic-ease-out), padding var(--transition-standart) var(--cubic-ease-out), color var(--transition-standart) var(--cubic-ease-out);
    line-height: 16px;
    display: block;
}

.level {
    --progressbar-border-radius: var(--border-radius-xxs);
    padding: var(--offset-sm-s) 0 var(--offset-sm-2xs);
}

.invalid {
    --progressbar-value-color: var(--color-background-negative);
}

.warning .level {
    --progressbar-value-color: var(--color-background-warning);
}

.valid .level {
    --progressbar-value-color: var(--color-background-positive);
}

.progressbar_container {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    width: var(--width-full);
    --progress-border-radius: var(--progressbar-border-radius);
    --progress-value-color: var(--progressbar-value-color);
    --progress-base-color: var(--color-background-highlight);
    --progress-transition-time: var(--progressbar-transition-time);
    --progress-label-color-top: var(--color-text-button-primary);
    --progress-label-color-bottom: var(--color-text-primary);
}

.progress_base_progress {
    position: relative;
    width: var(--width-full);
    background-color: var(--progress-base-color);
    border-radius: var(--progress-border-radius);
    overflow: hidden;
}

.progress_base_progress_bar {
    background-color: var(--progress-value-color);
    height: var(--height-sm-2xs);
    -webkit-transition: width var(--progress-transition-time) var(--cubic-ease-out);
    transition: width var(--progress-transition-time) var(--cubic-ease-out);
    overflow: hidden;
}

.progress_base_progress_bar.progress_base_border {
    border-right: var(--border-width-xs) solid var(--color-stroke-inactive);
}

.message {
    font: var(--bold-m);
}

.invalid .message {
    color: var(--color-text-negative);
}

.warning .message {
    color: var(--color-text-warning);
}

.valid .message {
    color: var(--color-text-positive);
}

.currencies {
    display: flex;
    align-content: stretch;
    margin-left: calc(-1 * var(--offset-sm-s));
    margin-bottom: var(--offset-sm-l);
}

.currencies .currency_item {
    width: var(--width-full);
    margin-left: var(--offset-sm-s);
}

.radio_button.radio_stretch,
.radio_button {
    width: var(--width-full);
}

.radio {
    display: inline-block;
    --radio-main-color: var(--color-control-active);
    --radio-disabled-color: var(--color-control-inactive);
    --radio-text-color: var(--color-text-primary);
    --radio-disabled-text-color: var(--color-text-inactive);
    --radio-label-font: var(--regular-l);
}

.radio_radio {
    font: var(--radio-label-font);
    display: block;
    position: relative;
    padding-left: var(--offset-md-s);
    color: var(--radio-text-color);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
    -webkit-transition: color var(--transition-fastest) var(--cubic-ease-in-out);
    transition: color var(--transition-fastest) var(--cubic-ease-in-out);
}

.radio_button .radio_radio {
    font: var(--black-xs);
    padding: 0 var(--offset-sm-l);
    text-align: center;
    color: var(--radio-text-color);
    border-radius: var(--border-radius-l);
    background-color: var(--color-background-surface);
}

.radio_checked .radio_radio:not(.radio_disabled),
.radio_checked .radio_radio:not(.radio_disabled):hover .radio_radio:not(.radio_disabled) {
    color: var(--radio-text-color);
}

.radio_button.radio_md .radio_radio {
    line-height: var(--height-md-l);
}

.radio_radio input {
    position: absolute;
    opacity: var(--opacity-0);
    cursor: pointer;
    top: 0;
    left: 0;
}

.radio_checkmark {
    display: -ms-flexbox;
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    height: var(--height-md-2xs);
    width: var(--width-md-2xs);
    background-color: transparent;
    border: var(--border-width-s) solid var(--radio-main-color);
    border-radius: var(--border-radius-ml);
    -webkit-transition: background-color var(--transition-fastest) var(--cubic-ease-in-out), border-color var(--transition-fastest) var(--cubic-ease-in-out), border-width var(--transition-fastest) var(--cubic-ease-in-out);
    transition: background-color var(--transition-fastest) var(--cubic-ease-in-out), border-color var(--transition-fastest) var(--cubic-ease-in-out), border-width var(--transition-fastest) var(--cubic-ease-in-out);
}

.radio_checked .radio_checkmark,
.radio_checked .radio_radio:not(.radio_disabled):hover .radio_checkmark {
    border: var(--border-width-s) solid var(--radio-main-color);
}

.radio_checked .radio_checkmark,
.radio_checked .radio_radio:not(.radio_disabled):hover .radio_checkmark {
    border-color: var(--radio-main-color);
}

.radio_button .radio_checkmark {
    width: var(--width-full);
    height: 100%;
    border-radius: var(--border-radius-l);
    border-color: var(--color-stroke-active);
}

.radio_button.radio_md .radio_checkmark {
    height: var(--height-md-l);
}

.radio_button.radio_checked .radio_radio:hover .radio_checkmark,
.radio_button.radio_checked .radio_radio .radio_checkmark {
    border: var(--border-width-s) solid var(--radio-main-color);
}

.agreement {
    transition: var(--transition-standart) ease;
    margin-bottom: 8px;
}

.form_auth_checbox {
    display: flex;
}

.checkbox {
    display: inline-block;
    --checkbox-main-color: var(--color-control-active);
    --checkbox-hover-color: var(--color-control-highlight);
    --checkbox-disabled-color: var(--color-control-inactive);
    --checkbox-text-color: var(--color-text-primary);
    --checkbox-disabled-text-color: var(--color-text-inactive);
    --checkbox-icon-color: var(--color-icon-inverted);
    --checkbox-label-font: var(--regular-l);
}

.checkbox_checkbox {
    font: var(--checkbox-label-font);
    display: block;
    position: relative;
    padding-left: var(--offset-md-m);
    color: var(--checkbox-text-color);
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-transition: color var(--transition-fastest) var(--cubic-ease-in-out);
    transition: color var(--transition-fastest) var(--cubic-ease-in-out);
}

.agreement_text {
    font: var(--regular-m);
}

.checkbox_checkbox input {
    position: absolute;
    opacity: var(--opacity-0);
    top: 0;
    left: 0;
}

.checkbox_checkmark {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    width: var(--width-md-2xs);
    height: var(--width-md-2xs);
    border: var(--border-width-s) solid var(--checkbox-main-color);
    border-radius: var(--border-radius-s);
    -webkit-transition: background-color var(--transition-fastest) var(--cubic-ease-in-out), border-color var(--transition-fastest) var(--cubic-ease-in-out), border-width var(--transition-fastest) var(--cubic-ease-in-out);
    transition: background-color var(--transition-fastest) var(--cubic-ease-in-out), border-color var(--transition-fastest) var(--cubic-ease-in-out), border-width var(--transition-fastest) var(--cubic-ease-in-out);
}

.checkbox_checkbox .checkbox_icon {
    color: transparent;
}

.checkbox_checked:not(.checkbox_disabled):hover .checkbox_checkmark {
    border-color: var(--checkbox-hover-color);
    background-color: var(--checkbox-hover-color);
}

.checkbox_checked .checkbox_checkmark {
    border-color: var(--checkbox-main-color);
    background-color: var(--checkbox-main-color);
}

.checkbox_checkbox:not(.checkbox_disabled):hover .checkbox_checkmark {
    border-width: var(--border-width-l);
}

.checkbox_checked .checkbox_icon {
    visibility: visible;
    color: var(--checkbox-icon-color);
}

.underline {
    text-decoration: underline;
}

.agreement.agree {
    margin-bottom: 24px;
}

.agreement.disagree {
    margin-bottom: 8px;
}

.agreement .invalid {
    display: block;
    width: var(--width-full);
    padding: var(--offset-sm-s) 0;
    font: var(--regular-s);
    line-height: 16px;
    color: var(--color-text-negative);
    -webkit-user-select: none;
    user-select: none;
    transition: line-height var(--transition-standart) var(--cubic-ease-out), padding var(--transition-standart) var(--cubic-ease-out), color var(--transition-standart) var(--cubic-ease-out);
}

.sign_up_btn {
    margin-bottom: var(--offset-md-s);
}

.sa_account_question {
    display: flex;
    align-items: center;
    justify-content: center;
}

.sa_text {
    font: var(--regular-m);
    color: var(--color-text-secondary);
    display: inline-block;
    margin-right: var(--offset-sm-m);
    vertical-align: middle;
}

.button_secondary {
    --button-bg-color: var(--color-button-neutral-active);
    --button-hover-bg-color: var(--color-button-neutral-highlight);
    --button-disabled-bg-color: var(--color-button-neutral-inactive);
    --button-text-color: var(--color-text-primary);
}

.button_size_xs {
    height: var(--height-md-s);
}

.button_size_xs .button_btn {
    padding: 0 var(--offset-sm-m);
}

.app_sign_in .link {
    font: var(--regular-m);
    color: var(--color-text-secondary);
    text-decoration: underline;
    display: inline-block;
    margin-bottom: var(--offset-sm-l);
    cursor: pointer;
    transition: color var(--transition-fastest) var(--cubic-ease-out);
}

.app_sign_in .link:hover {
    color: #F7F7F8;
}

.sign_in_btn {
    margin-bottom: var(--offset-md-s);
}

.tab_button_btn:hover:not(.tab_button_selected):not(.tab_button_disabled) {
    color: var(--color-text-primary);
}

.underline:hover {
    text-decoration: none;
}

.button:not(:active, .button_disabled):hover {
    background-color: var(--button-hover-bg-color);
}

.button:active {
    background-color: var(--button-bg-color);
}

.button.button_disabled {
    cursor: default;
    pointer-events: none;
    background-color: var(--button-disabled-bg-color);
    color: var(--button-disabled-text-color);
}

.button.button_disabled .spinner {
    --spinner-circle-color: var(--button-disabled-text-color);
    --spinner-circle-color: var(--button-text-color);
    width: var(--width-md-2xs);
    height: var(--height-md-2xs);
}

.spinner_wrapper {
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-animation: spinner_rotateSpinner infinite 2s ease-out;
    animation: spinner_rotateSpinner infinite 2s ease-out;
}

.spinner_svg {
    width: inherit;
    height: inherit;
    -webkit-animation: spinner_rotateSvg infinite 3s ease-out;
    animation: spinner_rotateSvg infinite 3s ease-out;
}

.spinner_circle {
    stroke: var(--spinner-circle-color);
    stroke-dasharray: 380%;
    stroke-dashoffset: 0;
    -webkit-animation: spinner_loadCircle infinite 1.5s ease-out;
    animation: spinner_loadCircle infinite 1.5s ease-out;
}

.button_text_wrapper.button_hidden {
    display: none;
}

.button_btn .button_preloader_wrapper {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
    position: absolute;
    background: inherit;
    width: var(--width-full);
    height: 100%;
    left: 0;
    top: 0;
}

.button_btn .spinner {
    --spinner-circle-color: var(--button-text-color);
    width: var(--width-md-2xs);
    height: var(--height-md-2xs);
}

.button.button_disabled .spinner {
    --spinner-circle-color: var(--button-disabled-text-color);
}

.font_bold_m {
    font: var(--bold-m);
}

.text_secondary {
    color: var(--color-text-secondary);
}